using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Gameshield;

namespace KeyMaker
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length != 4)
            {
                Console.WriteLine("Usage MakeKey.exe <<AuthID in Dec>> <<FingerPrint In Hex>> <<Global Password>> <<License Password>>");
                return;
            }
            GameshieldKeyMaker keymaker = new GameshieldKeyMaker();
            AuthRequestCode arc = new AuthRequestCode();
            arc.authid = uint.Parse(args[0]);
            arc.hwid = uint.Parse(args[1].Replace("0x",""), System.Globalization.NumberStyles.HexNumber);
            Console.WriteLine(keymaker.MakeAC(arc, 0, 0, args[2], args[3]));

        }
    }
}
